Application: gvSIG desktop - gvSIG bugs #4011
gvSIG 2.3 build 2414 can't be executed
01/15/2016 01:05 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Application

Target version: 2.3.0-2417 (rev. org.gvsig.deskiop-2.0.123)

Severity: Blocker Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2414 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

gvSIG 2.3 build 2414 can't be executed on win64. The console is closed unexpectedly checking the shared library dependencies. No
gvSIG.log is generated.

Associated revisions

Revision 518 - 01/18/2016 11:02 PM - Joaquin del Cerro Murciano

refs #4011, anadido que cree la carpeta del plugin en el home del usuario si no existe antes de intentar acceder a ella en el autorun.sh

History

#1 - 01/15/2016 02:01 PM - Alvaro Anguix
- Operative System deleted (Windows)

In Linux don't work. | think that it's a problem with folder "plugins"

#2 - 01/15/2016 02:02 PM - Alvaro Anguix
- Priority changed from Normal to Immediate
- Assignee set to Joaquin del Cerro Murciano

#3 - 01/15/2016 02:23 PM - Alvaro Anguix

It seems that it's a problem with scripting plugin. Almost in Linux, if you install gvSIG without this plugin, gvSIG works.

#4 - 01/15/2016 02:29 PM - Antonio Falciano
Alvaro Anguix wrote:

It seems that it's a problem with scripting plugin. Almost in Linux, if you install gvSIG without this plugin, gvSIG works.

Hi Alvaro,
| can confirm. Removing the scripting plugin, gvSIG is executed regularly also in win64.

#5 - 01/18/2016 11:04 PM - Joaquin del Cerro Murciano

- Target version set to 2.3.0-2415

- Status changed from New to Fixed

- Subject changed from gvSIG 2.3 build 2414 can't be executed on win64 to gvSIG 2.3 build 2414 can't be executed

Falla en todas las plataformas cuando no existe la carpeta del plugin de scripting en el home del usuario.

#6 - 01/20/2016 10:36 AM - Antonio Falciano

- Status changed from Fixed to Closed

#7 - 01/20/2016 05:10 PM - Antonio Falciano

- Target version changed from 2.3.0-2415 to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

- Status changed from Closed to New

I've just tried with a fresh install of 2415 without the gvSIG home folder and gvSIG.sh stops to work when trying to cd to the below scripts directory:

INFO launch Running autorun from plugin org.gvsig.scripting.app.mainplugin
gvSIG.sh: cd: line 33: can't cd to C:\Users\Antonio/gvSIG/plugins/org.gvsig.scri
pting.app.mainplugin/scripts

If 1 apply the fix commented in #4033#note-1 and create such directory manually, then gvSIG can be executed. So, in the
org.gvsig.scripting.app.mainplugin autorun.sh I'd substitute row 33 with:
autorun_dir="$GVSIG_HOME_FOLDER/plugins/$PLUGIN_NAME/scripts"
if [ ! -d "$autorun_dir" ]; then
mkdir -p "$autorun_dir"

fi

cd "$autorun_dir"

and row 38 with:

sc_autorun="$autorun_dir/$sc_autorun"

#8 - 01/25/2016 08:59 PM - Antonio Falciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2417 (rev. org.gvsig.desktop-2.0.123)
- Status changed from New to Closed

It's ok in build 2416, so | close the ticket.
